Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.query
Class ContentQueryNodeSupport

    java.lang.Object
      com.bea.p13n.expression.internal.parser.ast.NodeSupport
          com.bea.p13n.content.query.ContentQueryNodeSupport

    public class ContentQueryNodeSupport

extends com.bea.p13n.expression.internal.parser.ast.NodeSupport

Class `ContentQueryNodeSupport` provides node factory support for the contentquery name space defined in contentquery-1_1.xsd. The factory method of this class simply returns a named instance of the class `ContentQueryNode`.

Field Summary
`static String` | `NAME_SPACE`

Constructor Summary
`ContentQueryNodeSupport()`

Method Summary
`com.bea.p13n.expression.internal.parser.ast.CompositeNode` | `createNode(String elementName)`

Methods inherited from class com.bea.p13n.expression.internal.parser.ast.NodeSupport
`addNodeSupport, defaultAssembleTypeName, defaultCreateNode, getNameSpace, getNodeSupport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_SPACE

    public static final String NAME_SPACE

See Also
  Constants Summary

Constructor Detail

### ContentQueryNodeSupport

    public ContentQueryNodeSupport()

Method Detail

### createNode

    public com.bea.p13n.expression.internal.parser.ast.CompositeNode createNode(String elementName)
                                                                         throws com.bea.p13n.expression.internal.parser.ast.NodeCreationException

  Specified by:
    `createNode` in class `com.bea.p13n.expression.internal.parser.ast.NodeSupport`
  Throws
    `com.bea.p13n.expression.internal.parser.ast.NodeCreationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved